summaryrefslogtreecommitdiffstats
path: root/abs
diff options
context:
space:
mode:
authorBritney Fransen <brfransen@gmail.com>2018-03-01 16:08:48 (GMT)
committerBritney Fransen <brfransen@gmail.com>2018-03-01 16:08:48 (GMT)
commitf64f6ecc2b0fe42279201a201eeb366f5709f532 (patch)
treea7cd22813c7b31f7811792cfb5858516268f120a /abs
parentaf9046ef47e3de4eb69c3445e780dab6ad846faa (diff)
downloadlinhes_pkgbuild-f64f6ecc2b0fe42279201a201eeb366f5709f532.zip
linhes_pkgbuild-f64f6ecc2b0fe42279201a201eeb366f5709f532.tar.gz
linhes_pkgbuild-f64f6ecc2b0fe42279201a201eeb366f5709f532.tar.bz2
python-whoosh: dep of python-sphinx
Diffstat (limited to 'abs')
-rw-r--r--abs/core/python_modules/python-whoosh/PKGBUILD53
1 files changed, 53 insertions, 0 deletions
diff --git a/abs/core/python_modules/python-whoosh/PKGBUILD b/abs/core/python_modules/python-whoosh/PKGBUILD
new file mode 100644
index 0000000..643da0d
--- /dev/null
+++ b/abs/core/python_modules/python-whoosh/PKGBUILD
@@ -0,0 +1,53 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars@archlinux.org>
+# Contributor: Samuel Littley <aur@toastwaffle.com>
+# Contributor: rnons <remotenonsense at gmail dot com>
+
+pkgbase=python-whoosh
+pkgname=(python-whoosh python2-whoosh)
+pkgver=2.7.4
+pkgrel=2
+pkgdesc="Fast, pure-Python full text indexing, search, and spell checking library"
+arch=('any')
+url="http://bitbucket.org/mchaput/whoosh/wiki/Home"
+license=("BSD")
+makedepends=('python-setuptools' 'python2-setuptools' 'mercurial')
+checkdepends=('python-pytest-runner' 'python2-pytest-runner')
+source=("hg+https://bitbucket.org/mchaput/whoosh#tag=$pkgver")
+md5sums=('SKIP')
+
+prepare() {
+ cp -a whoosh{,-py2}
+}
+
+build() {
+ cd "$srcdir"/whoosh
+ python setup.py build
+
+ cd "$srcdir"/whoosh-py2
+ python2 setup.py build
+}
+
+check() {
+ cd "$srcdir"/whoosh
+ python setup.py pytest
+
+ cd "$srcdir"/whoosh-py2
+ python2 setup.py pytest || warning "Tests failed"
+}
+
+package_python-whoosh() {
+ depends=('python')
+
+ cd whoosh
+ python setup.py install -O1 --root="$pkgdir"
+ install -D -m644 LICENSE.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.txt
+}
+
+package_python2-whoosh() {
+ depends=('python2')
+
+ cd whoosh-py2
+ python2 setup.py install -O1 --root="$pkgdir"
+ install -D -m644 LICENSE.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.txt
+}